# Uses of Class
org.apache.sling.jcr.jackrabbit.accessmanager.LocalRestriction

Packages that use LocalRestriction
Package
Description
org.apache.sling.jcr.jackrabbit.accessmanager
org.apache.sling.jcr.jackrabbit.accessmanager.post

## Uses of LocalRestriction in org.apache.sling.jcr.jackrabbit.accessmanager

Methods in org.apache.sling.jcr.jackrabbit.accessmanager that return LocalRestriction
Modifier and Type
Method
Description
`static @NotNull LocalRestriction`
LocalRestriction.`cloneWithNewValues(@NotNull LocalRestriction lr, @NotNull javax.jcr.Value[] newValues)`
Clone from an existing object and then assign the new values
Methods in org.apache.sling.jcr.jackrabbit.accessmanager that return types with arguments of type LocalRestriction
Modifier and Type
Method
Description
`Set<LocalRestriction>`
LocalPrivilege.`getAllowRestrictions()`
`Set<LocalRestriction>`
LocalPrivilege.`getDenyRestrictions()`
`protected Set<LocalRestriction>`
LocalPrivilege.`mergeRestrictions(Set<LocalRestriction> currentRestrictions, Set<LocalRestriction> newRestrictions)`
Methods in org.apache.sling.jcr.jackrabbit.accessmanager with parameters of type LocalRestriction
Modifier and Type
Method
Description
`static @NotNull LocalRestriction`
LocalRestriction.`cloneWithNewValues(@NotNull LocalRestriction lr, @NotNull javax.jcr.Value[] newValues)`
Clone from an existing object and then assign the new values
Method parameters in org.apache.sling.jcr.jackrabbit.accessmanager with type arguments of type LocalRestriction
Modifier and Type
Method
Description
`protected Set<LocalRestriction>`
LocalPrivilege.`mergeRestrictions(Set<LocalRestriction> currentRestrictions, Set<LocalRestriction> newRestrictions)`
`boolean`
LocalPrivilege.`sameAllowRestrictions(Set<LocalRestriction> otherAllowRestrictions)`
compares if restrictions present is same as specified restrictions in the supplied argument
`boolean`
LocalPrivilege.`sameDenyRestrictions(Set<LocalRestriction> otherDenyRestrictions)`
compares if restrictions present is same as specified restrictions in the supplied argument
`void`
LocalPrivilege.`setAllowRestrictions(Set<LocalRestriction> restrictions)`
`void`
LocalPrivilege.`setDenyRestrictions(Set<LocalRestriction> restrictions)`

## Uses of LocalRestriction in org.apache.sling.jcr.jackrabbit.accessmanager.post

Methods in org.apache.sling.jcr.jackrabbit.accessmanager.post that return LocalRestriction
Modifier and Type
Method
Description
`protected LocalRestriction`
ModifyAceServlet.`toLocalRestriction(@NotNull org.apache.sling.api.SlingJakartaHttpServletRequest request, @NotNull Map<String,org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition> srMap, @NotNull String restrictionName, @NotNull String paramName)`
Construct a LocalRestriction using data a request parameter
Methods in org.apache.sling.jcr.jackrabbit.accessmanager.post that return types with arguments of type LocalRestriction
Modifier and Type
Method
Description
`protected Set<LocalRestriction>`
ModifyAceServlet.`postedRestrictionsForPrivilege(@NotNull org.apache.sling.api.SlingJakartaHttpServletRequest request, @NotNull Map<String,org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition> srMap, @NotNull javax.jcr.security.Privilege forPrivilege, @NotNull org.apache.sling.jcr.jackrabbit.accessmanager.post.ModifyAceServlet.PrivilegeValues forAllowOrDeny, @NotNull Set<LocalRestriction> generalRestrictions)`
Populate the restrictions that that were posted and applicable to the requested privilege
Method parameters in org.apache.sling.jcr.jackrabbit.accessmanager.post with type arguments of type LocalRestriction
Modifier and Type
Method
Description
`protected void`
ModifyAceServlet.`addAces(@NotNull String resourcePath, @NotNull Principal principal, @NotNull Map<Set<LocalRestriction>,List<LocalPrivilege>> restrictionsToLocalPrivilegesMap, boolean isAllow, @NotNull org.apache.jackrabbit.api.security.JackrabbitAccessControlList acl, Map<javax.jcr.security.Privilege,Integer> privilegeLongestDepthMap)`
Add ACEs for the specified principal to the ACL.
`protected void`
ModifyPrincipalAceServlet.`addAces(@NotNull String resourcePath, @NotNull Principal principal, @NotNull Map<Set<LocalRestriction>,List<LocalPrivilege>> restrictionsToLocalPrivilegesMap, boolean isAllow, @NotNull org.apache.jackrabbit.api.security.JackrabbitAccessControlList acl, Map<javax.jcr.security.Privilege,Integer> privilegeLongestDepthMap)`
Override to ensure we do not add enty that denies privileges which is not allowed in a principal ACE
`protected void`
ModifyAceServlet.`applyPrivilegeAndRestrictions(@NotNull Map<javax.jcr.security.Privilege,LocalPrivilege> privilegeToLocalPrivilegesMap, @NotNull javax.jcr.security.Privilege p, boolean allow, @NotNull Set<LocalRestriction> allowRestrictions, boolean deny, @NotNull Set<LocalRestriction> denyRestrictions)`
Apply the privilege and restrictions to the local privileges
`protected Set<LocalRestriction>`
ModifyAceServlet.`postedRestrictionsForPrivilege(@NotNull org.apache.sling.api.SlingJakartaHttpServletRequest request, @NotNull Map<String,org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition> srMap, @NotNull javax.jcr.security.Privilege forPrivilege, @NotNull org.apache.sling.jcr.jackrabbit.accessmanager.post.ModifyAceServlet.PrivilegeValues forAllowOrDeny, @NotNull Set<LocalRestriction> generalRestrictions)`
Populate the restrictions that that were posted and applicable to the requested privilege